# directory::get-directory-root

Returns the volume information, root information, or both for the specified path.

### Usage

`string directory::get-directory-root(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path for which to retrieve the parent directory.

### Return Value

A string containing the volume information, root information, or both for the specified path.

### Exceptions

The function will fail in any of the following circumstances:

- path is a zero-length string, contains only white space, or contains one or more invalid characters.
- The specified path, file name, or both exceed the system-defined maximum length.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)